import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'whatsapp_demo_platform_interface.dart';

class MethodChannelFlutterPluginOpenwhatsapp
    extends FlutterPluginOpenwhatsappPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_plugin_openwhatsapp');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }

  ///打开指定的app
  @override
  Future<String?> openWhatsApp({
    String? phoneNumber,
    String? text,
  }) async {
    final install = await methodChannel.invokeMethod<String>(
      'openWhatsApp',
      {
        'phoneNumber': phoneNumber,
        'text': text,
      },
    );
    return install;
  }
}
