import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'whatsapp_demo_method_channel.dart';

abstract class FlutterPluginOpenwhatsappPlatform extends PlatformInterface {
  /// Constructs a FlutterPluginOpenwhatsappPlatform.
  FlutterPluginOpenwhatsappPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterPluginOpenwhatsappPlatform _instance =
      MethodChannelFlutterPluginOpenwhatsapp();

  /// The default instance of [FlutterPluginOpenwhatsappPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterPluginOpenwhatsapp].
  static FlutterPluginOpenwhatsappPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterPluginOpenwhatsappPlatform] when
  /// they register themselves.
  static set instance(FlutterPluginOpenwhatsappPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  ///打开指定的app
  Future<String?> openWhatsApp({
    String? phoneNumber,
    String? text,
  }) {
    throw UnimplementedError('openWhatsApp() has not been implemented.');
  }
}
